IRCD-MKPASSWD(8)

NAME
ircd-mkpasswd - generate password hashes for ircd

SYNOPSIS
ircd-mkpasswd [-m|-d] [-l saltlength] [-s salt] [-p plaintext]

-m Generate an MD5 password

-d Generate a DES password

-l Specify a length for a random MD5 salt

-s Specify a salt, 2 alphanumeric characters for DES, up to 16 for MD5

-p Specify a plaintext password to use

Example: ircd-mkpasswd -m -s 3dr -p test

DESCRIPTION

ircd-mkpasswd generates SALT encrypted passwords for use in ircd.conf